Create an upload URL
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({sizeBytes: 1, name: '<string>', mimeType: '<string>'})
};
fetch('https://getoverlay.io/api/v1/files/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({sizeBytes: 1, name: '<string>', mimeType: '<string>'})
};
fetch('https://getoverlay.io/api/v1/files/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/files/upload-url \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"sizeBytes": 1,
"name": "<string>",
"mimeType": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Files
Create an upload URL
POST
/
api
/
v1
/
files
/
upload-url
Create an upload URL
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({sizeBytes: 1, name: '<string>', mimeType: '<string>'})
};
fetch('https://getoverlay.io/api/v1/files/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({sizeBytes: 1, name: '<string>', mimeType: '<string>'})
};
fetch('https://getoverlay.io/api/v1/files/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/files/upload-url \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"sizeBytes": 1,
"name": "<string>",
"mimeType": "<string>"
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.